Loading...
Searching...
No Matches
Halide::Internal::CodeGen_LLVM::ScopedFastMath Struct Reference

If any_strict_float is true, sets fast math flags for the lifetime of this object, then sets them to strict on destruction. More...

`#include <CodeGen_LLVM.h>`

## Public Member Functions

| ScopedFastMath (CodeGen_LLVM *)
| ~ScopedFastMath ()

## Public Attributes

CodeGen_LLVM * | codegen

## Detailed Description

If any_strict_float is true, sets fast math flags for the lifetime of this object, then sets them to strict on destruction.

If any_strict_float is false, does nothing. Any call to an IRBuilder method that starts with "CreateF" should probably be wrapped in one of these, but it's safe to miss one - we just miss out on some optimizations. In this way codegen is designed to fail safe.

Definition at line 190 of file CodeGen_LLVM.h.

## Constructor & Destructor Documentation

## ScopedFastMath()

Halide::Internal::CodeGen_LLVM::ScopedFastMath::ScopedFastMath | ( | CodeGen_LLVM * |  | ) |

References Halide::Internal::CodeGen_LLVM::CodeGen_LLVM().

## ~ScopedFastMath()

Halide::Internal::CodeGen_LLVM::ScopedFastMath::~ScopedFastMath | ( |  | ) |

## Member Data Documentation

## codegen

CodeGen_LLVM* Halide::Internal::CodeGen_LLVM::ScopedFastMath::codegen

Definition at line 191 of file CodeGen_LLVM.h.

The documentation for this struct was generated from the following file:

- src/CodeGen_LLVM.h